Xerces-C++: XMLChar1_1 Class Reference

Xerces-C++ 3.2.3

Static Public Member Functions | Friends | List of all members
XMLChar1_1 Class Reference

## Static Public Member Functions
static bool | isAllSpaces (const XMLCh *const toCheck, const XMLSize_t count)
static bool | containsWhiteSpace (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidNmtoken (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidName (const XMLCh *const toCheck)
static bool | isValidNCName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidQName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isXMLLetter (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isFirstNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isPlainContentChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isSpecialStartTagChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isXMLChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isWhitespace (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isControlChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isPublicIdChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isFirstNCNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isNCNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)

## Friends
class | XMLReader

## Member Function Documentation

## ◆ containsWhiteSpace()

static bool XMLChar1_1::containsWhiteSpace | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isAllSpaces()

static bool XMLChar1_1::isAllSpaces | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isControlChar()

bool XMLChar1_1::isControlChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gControlCharMask.

## ◆ isFirstNameChar()

bool XMLChar1_1::isFirstNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gFirstNameCharMask.

## ◆ isFirstNCNameChar()

bool XMLChar1_1::isFirstNCNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References chColon, and gFirstNameCharMask.

## ◆ isNameChar()

bool XMLChar1_1::isNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gNameCharMask.

## ◆ isNCNameChar()

bool XMLChar1_1::isNCNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gNCNameCharMask.

## ◆ isPlainContentChar()

bool XMLChar1_1::isPlainContentChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gPlainContentCharMask.

## ◆ isPublicIdChar()

static bool XMLChar1_1::isPublicIdChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

## ◆ isSpecialStartTagChar()

bool XMLChar1_1::isSpecialStartTagChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gSpecialStartTagCharMask.

## ◆ isValidName() [1/2]

static bool XMLChar1_1::isValidName | ( | const XMLCh *const | toCheck | ) |
| static

## ◆ isValidName() [2/2]

static bool XMLChar1_1::isValidName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isValidNCName()

static bool XMLChar1_1::isValidNCName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isValidNmtoken()

static bool XMLChar1_1::isValidNmtoken | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isValidQName()

static bool XMLChar1_1::isValidQName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isWhitespace()

bool XMLChar1_1::isWhitespace | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gWhitespaceCharMask.

## ◆ isXMLChar()

bool XMLChar1_1::isXMLChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gXMLCharMask.

## ◆ isXMLLetter()

bool XMLChar1_1::isXMLLetter | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

XML 1.1 does not define a letter, so we use the 1.0 definition

References XMLChar1_0::isXMLLetter().

## Friends And Related Function Documentation

## ◆ XMLReader

friend class XMLReader
| friend

The documentation for this class was generated from the following file:

- XMLChar.hpp